package kz.arta.synergy.workflow.mobile.android.documents.common.models;

import java.io.Serializable;

/**
 * Created by neox on 04.12.14.
 * Один документ
 */
public class DocumentItem implements Serializable {

    private String name;
    private String content;
    private String documentID;
    private String number;
    private String author;
    private String user;
    private String regUser;
    private String resUsers;
    private String to;
    private String from;
    private String correspondent;
    private String correspondentOrg;
    private String type;
    private String createDate;
    private String regDate;
    private String statusID;
    private String isExpired;
    private String isSoonExpired;
    private String hasChildren;
    private String hasResolution;
    private String isNew;
    private String hidden;
    private String registered;
    private String finished;
    private String inProgress;
    private String controlled;
    private String hasAttachments;
    private String defective;
    private String docTypeID;
    private String[] actions;
    private String[] bases;
    private String registryID;
    private String registryName;
    private String formName;
    private String formID;
    private String asfDataID;
    private String processing;
    private String activate;
    private String rawdata;

    private String filterType;
    private String filterID;
    private String objectID;
    private boolean opened = false;

    public String[] getActions() {
        return actions;
    }

    public void setActions(String[] actions) {
        this.actions = actions;
    }

    public String getDocTypeID() {
        return docTypeID;
    }

    public void setDocTypeID(String docTypeID) {
        this.docTypeID = docTypeID;
    }

    public boolean isOpened() {
        return opened;
    }

    public void setOpened(boolean opened) {
        this.opened = opened;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getDocumentID() {
        return documentID;
    }

    public void setDocumentID(String documentID) {
        this.documentID = documentID;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getRegUser() {
        return regUser;
    }

    public void setRegUser(String regUser) {
        this.regUser = regUser;
    }

    public String getResUsers() {
        return resUsers;
    }

    public void setResUsers(String resUsers) {
        this.resUsers = resUsers;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getCorrespondent() {
        return correspondent;
    }

    public void setCorrespondent(String correspondent) {
        this.correspondent = correspondent;
    }

    public String getCorrespondentOrg() {
        return correspondentOrg;
    }

    public void setCorrespondentOrg(String correspondentOrg) {
        this.correspondentOrg = correspondentOrg;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getRegDate() {
        return regDate;
    }

    public void setRegDate(String regDate) {
        this.regDate = regDate;
    }

    public String getStatusID() {
        return statusID;
    }

    public void setStatusID(String statusID) {
        this.statusID = statusID;
    }

    public String getIsExpired() {
        return isExpired;
    }

    public void setIsExpired(String isExpired) {
        this.isExpired = isExpired;
    }

    public String getIsSoonExpired() {
        return isSoonExpired;
    }

    public void setIsSoonExpired(String isSoonExpired) {
        this.isSoonExpired = isSoonExpired;
    }

    public String getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(String hasChildren) {
        this.hasChildren = hasChildren;
    }

    public String getHasResolution() {
        return hasResolution;
    }

    public void setHasResolution(String hasResolution) {
        this.hasResolution = hasResolution;
    }

    public String getIsNew() {
        return isNew;
    }

    public void setIsNew(String isNew) {
        this.isNew = isNew;
    }

    public String getHidden() {
        return hidden;
    }

    public void setHidden(String hidden) {
        this.hidden = hidden;
    }

    public String getRegistered() {
        return registered;
    }

    public void setRegistered(String regisered) {
        this.registered = regisered;
    }

    public String getFinished() {
        return finished;
    }

    public void setFinished(String finished) {
        this.finished = finished;
    }

    public String getInProgress() {
        return inProgress;
    }

    public void setInProgress(String inProgress) {
        this.inProgress = inProgress;
    }

    public String getControlled() {
        return controlled;
    }

    public void setControlled(String controlled) {
        this.controlled = controlled;
    }

    public String getHasAttachments() {
        return hasAttachments;
    }

    public void setHasAttachments(String hasAttachments) {
        this.hasAttachments = hasAttachments;
    }

    public String getDefective() {
        return defective;
    }

    public void setDefective(String defective) {
        this.defective = defective;
    }

    public String[] getBases() {
        return bases;
    }

    public void setBases(String[] bases) {
        this.bases = bases;
    }

    public String getRegistryID() {
        return registryID;
    }

    public void setRegistryID(String registryID) {
        this.registryID = registryID;
    }

    public String getRegistryName() {
        return registryName;
    }

    public void setRegistryName(String registryName) {
        this.registryName = registryName;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormID() {
        return formID;
    }

    public void setFormID(String formID) {
        this.formID = formID;
    }

    public String getAsfDataID() {
        return asfDataID;
    }

    public void setAsfDataID(String asfDataID) {
        this.asfDataID = asfDataID;
    }

    public String getProcessing() {
        return processing;
    }

    public void setProcessing(String processing) {
        this.processing = processing;
    }

    public String getActivate() {
        return activate;
    }

    public void setActivate(String activate) {
        this.activate = activate;
    }

    public String getRawdata() {
        return rawdata;
    }

    public void setRawdata(String rawdata) {
        this.rawdata = rawdata;
    }

    public String getFilterType() {
        return filterType;
    }

    public void setFilterType(String filterType) {
        this.filterType = filterType;
    }

    public String getFilterID() {
        return filterID;
    }

    public void setFilterID(String filterID) {
        this.filterID = filterID;
    }

    public String getObjectID() {
        return objectID;
    }

    public void setObjectID(String objectID) {
        this.objectID = objectID;
    }
}
